Bug 137342 - actsyncd uses obsolete diff form
actsyncd uses obsolete diff form
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: inn (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 13:12 EDT by Mike Bird
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-16 08:14:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Bird 2004-10-27 13:12:35 EDT
Description of problem:

When active file changes, actsyncd invokes diff with obsolete argument
form.

Version-Release number of selected component (if applicable):

Both inn-2.3.5-11 (fc3test3) and inn-2.3.5-9 (fc2)

How reproducible:

Any time active is changed.  Error does not appear if actsyncd finds
no changes needed.

Steps to Reproduce:
1. su - news -c "/usr/lib/news/bin/actsyncd /etc/news/actsync.cfg"
  
Actual results:

 =-= Wed Oct 27 10:03:23 PDT 2004 for ftp.isc.org, updating active
 mod-active cc_commands
 diff: `-0' option is obsolete; use `-U 0'
 diff: Try `diff --help' for more information.
 =-= Wed Oct 27 10:03:31 PDT 2004 for ftp.isc.org, end

Expected results:

No errors.

Additional info:

Here's a sample working /etc/news/actsync.cfg:

host=ftp.isc.org
ftppath=/pub/usenet/CONFIG/active.gz
flags=-v 3 -p 80
ignore_file=/etc/news/actsync.ign

Note You need to log in before you can comment on or make changes to this bug.